%define upstream_name    Set-Scalar
%define upstream_version 1.29

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Basic set operations
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/Set/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
Basic set operations.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%make_install

%files
%doc ChangeLog META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Set
%{_mandir}/*/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.290.0-7.mga8
+ Revision: 1497145
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.290.0-6.mga7
+ Revision: 1271133
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.290.0-5.mga6
+ Revision: 1033037
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.290.0-4.mga6
+ Revision: 944529
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.290.0-3.mga5
+ Revision: 739094
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.290.0-2.mga5
+ Revision: 686193
- Mageia 5 Mass Rebuild

* Tue Mar 25 2014 jquelin <jquelin> 1.290.0-1.mga5
+ Revision: 608426
- update to 1.29

* Tue Feb 25 2014 jquelin <jquelin> 1.280.0-1.mga5
+ Revision: 596918
- update to 1.28

* Sun Feb 09 2014 sander85 <sander85> 1.270.0-1.mga5
+ Revision: 587282
- update to 1.27

* Sat Oct 19 2013 umeabot <umeabot> 1.260.0-2.mga4
+ Revision: 528719
- Mageia 4 Mass Rebuild

* Wed Jun 26 2013 jquelin <jquelin> 1.260.0-1.mga4
+ Revision: 447087
- update to 1.26

* Sun Jan 13 2013 umeabot <umeabot> 1.250.0-2.mga3
+ Revision: 372617
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 1.250.0-1.mga1
+ Revision: 26977
- mageia rebuild
- imported package perl-Set-Scalar


* Mon Dec 28 2009 Jérôme Quelin <jquelin@mandriva.org> 1.250.0-1mdv2010.1
+ Revision: 483044
- update to 1.25

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 1.240.0-1mdv2010.0
+ Revision: 404387
- rebuild using %%perl_convert_version

* Sun Jun 07 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.24-1mdv2010.0
+ Revision: 383540
- update to new version 1.24

* Mon Jan 19 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.23-1mdv2009.1
+ Revision: 331148
- update to new version 1.23
- update to new version 1.23

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 1.22-4mdv2009.0
+ Revision: 258355
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 1.22-3mdv2009.0
+ Revision: 246414
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Nov 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.22-1mdv2008.1
+ Revision: 104471
- new version

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.20-3mdv2008.0
+ Revision: 86843
- rebuild


* Fri Aug 25 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.20-2mdv2007.0
- spec cleanup
- fix directory ownership
- better summary and description
- %%mkrel

* Tue Aug 23 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.20-1mdk
- New release 1.20

* Wed Jul 13 2005 Oden Eriksson <oeriksson@mandriva.com> 1.19-1mdk
- initial Mandriva package

